package com.meas.system.domain;

import com.meas.common.annotation.Excel;
import com.meas.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 测量批次对象 meas_batch
 *
 * @author wgk
 * @date 2024-06-13
 */
public class MeasBatch extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 发动机型号ID
     */
    @Excel(name = "发动机型号ID")
    private Long engineId;

    @Excel(name = "发动机型号")
    private Long engineModel;

    /**
     * 测量批次
     */
    @Excel(name = "测量批次")
    private String measurementBatch;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEngineId() {
        return engineId;
    }

    public void setEngineId(Long engineId) {
        this.engineId = engineId;
    }

    public Long getEngineModel() {
        return engineModel;
    }

    public void setEngineModel(Long engineModel) {
        this.engineModel = engineModel;
    }

    public String getMeasurementBatch() {
        return measurementBatch;
    }

    public void setMeasurementBatch(String measurementBatch) {
        this.measurementBatch = measurementBatch;
    }

    @Override
    public String toString() {
        return "MeasBatch{" +
                "id=" + id +
                ", engineId=" + engineId +
                ", engineModel=" + engineModel +
                ", measurementBatch='" + measurementBatch + '\'' +
                '}';
    }
}
